Package ghidra.rmi.trace

# Class TraceRmi.RequestCreateTrace.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestCreateTrace.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder>
ghidra.rmi.trace.TraceRmi.RequestCreateTrace.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RequestCreateTraceOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RequestCreateTrace`

public static final class TraceRmi.RequestCreateTrace.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder> implements TraceRmi.RequestCreateTraceOrBuilder
Protobuf type `ghidra.rmi.trace.RequestCreateTrace`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RequestCreateTrace`
  `build()`
  `TraceRmi.RequestCreateTrace`
  `buildPartial()`
  `TraceRmi.RequestCreateTrace.Builder`
  `clear()`
  `TraceRmi.RequestCreateTrace.Builder`
  `clearCompiler()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.RequestCreateTrace.Builder`
  `clearLanguage()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.RequestCreateTrace.Builder`
  `clearOid()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.RequestCreateTrace.Builder`
  `clearPath()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.Compiler`
  `getCompiler()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.Compiler.Builder`
  `getCompilerBuilder()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.CompilerOrBuilder`
  `getCompilerOrBuilder()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.RequestCreateTrace`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.Language`
  `getLanguage()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.Language.Builder`
  `getLanguageBuilder()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.LanguageOrBuilder`
  `getLanguageOrBuilder()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.FilePath`
  `getPath()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.FilePath.Builder`
  `getPathBuilder()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.FilePathOrBuilder`
  `getPathOrBuilder()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `boolean`
  `hasCompiler()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `boolean`
  `hasLanguage()`
  `.ghidra.rmi.trace.Language language = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `boolean`
  `hasPath()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeCompiler(TraceRmi.Compiler value)`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeFrom(TraceRmi.RequestCreateTrace other)`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeLanguage(TraceRmi.Language value)`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.RequestCreateTrace.Builder`
  `mergePath(TraceRmi.FilePath value)`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setCompiler(TraceRmi.Compiler value)`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setCompiler(TraceRmi.Compiler.Builder builderForValue)`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setLanguage(TraceRmi.Language value)`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setLanguage(TraceRmi.Language.Builder builderForValue)`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setPath(TraceRmi.FilePath value)`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.RequestCreateTrace.Builder`
  `setPath(TraceRmi.FilePath.Builder builderForValue)`
  `.ghidra.rmi.trace.FilePath path = 1;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`

  - ### clear

    public TraceRmi.RequestCreateTrace.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RequestCreateTrace getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RequestCreateTrace build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RequestCreateTrace buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RequestCreateTrace.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestCreateTrace.Builder mergeFrom(TraceRmi.RequestCreateTrace other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestCreateTrace.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestCreateTrace.Builder>`
    Throws:
      `IOException`

  - ### hasPath

    public boolean hasPath()
    `.ghidra.rmi.trace.FilePath path = 1;`
    Specified by:
      `hasPath` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      Whether the path field is set.

  - ### getPath

    public TraceRmi.FilePath getPath()
    `.ghidra.rmi.trace.FilePath path = 1;`
    Specified by:
      `getPath` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      The path.

  - ### setPath

    public TraceRmi.RequestCreateTrace.Builder setPath(TraceRmi.FilePath value)
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### setPath

    public TraceRmi.RequestCreateTrace.Builder setPath(TraceRmi.FilePath.Builder builderForValue)
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### mergePath

    public TraceRmi.RequestCreateTrace.Builder mergePath(TraceRmi.FilePath value)
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### clearPath

    public TraceRmi.RequestCreateTrace.Builder clearPath()
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### getPathBuilder

    public TraceRmi.FilePath.Builder getPathBuilder()
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### getPathOrBuilder

    public TraceRmi.FilePathOrBuilder getPathOrBuilder()
    `.ghidra.rmi.trace.FilePath path = 1;`
    Specified by:
      `getPathOrBuilder` in interface `TraceRmi.RequestCreateTraceOrBuilder`

  - ### hasLanguage

    public boolean hasLanguage()
    `.ghidra.rmi.trace.Language language = 2;`
    Specified by:
      `hasLanguage` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      Whether the language field is set.

  - ### getLanguage

    public TraceRmi.Language getLanguage()
    `.ghidra.rmi.trace.Language language = 2;`
    Specified by:
      `getLanguage` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      The language.

  - ### setLanguage

    public TraceRmi.RequestCreateTrace.Builder setLanguage(TraceRmi.Language value)
    `.ghidra.rmi.trace.Language language = 2;`

  - ### setLanguage

    public TraceRmi.RequestCreateTrace.Builder setLanguage(TraceRmi.Language.Builder builderForValue)
    `.ghidra.rmi.trace.Language language = 2;`

  - ### mergeLanguage

    public TraceRmi.RequestCreateTrace.Builder mergeLanguage(TraceRmi.Language value)
    `.ghidra.rmi.trace.Language language = 2;`

  - ### clearLanguage

    public TraceRmi.RequestCreateTrace.Builder clearLanguage()
    `.ghidra.rmi.trace.Language language = 2;`

  - ### getLanguageBuilder

    public TraceRmi.Language.Builder getLanguageBuilder()
    `.ghidra.rmi.trace.Language language = 2;`

  - ### getLanguageOrBuilder

    public TraceRmi.LanguageOrBuilder getLanguageOrBuilder()
    `.ghidra.rmi.trace.Language language = 2;`
    Specified by:
      `getLanguageOrBuilder` in interface `TraceRmi.RequestCreateTraceOrBuilder`

  - ### hasCompiler

    public boolean hasCompiler()
    `.ghidra.rmi.trace.Compiler compiler = 3;`
    Specified by:
      `hasCompiler` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      Whether the compiler field is set.

  - ### getCompiler

    public TraceRmi.Compiler getCompiler()
    `.ghidra.rmi.trace.Compiler compiler = 3;`
    Specified by:
      `getCompiler` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      The compiler.

  - ### setCompiler

    public TraceRmi.RequestCreateTrace.Builder setCompiler(TraceRmi.Compiler value)
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### setCompiler

    public TraceRmi.RequestCreateTrace.Builder setCompiler(TraceRmi.Compiler.Builder builderForValue)
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### mergeCompiler

    public TraceRmi.RequestCreateTrace.Builder mergeCompiler(TraceRmi.Compiler value)
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### clearCompiler

    public TraceRmi.RequestCreateTrace.Builder clearCompiler()
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### getCompilerBuilder

    public TraceRmi.Compiler.Builder getCompilerBuilder()
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### getCompilerOrBuilder

    public TraceRmi.CompilerOrBuilder getCompilerOrBuilder()
    `.ghidra.rmi.trace.Compiler compiler = 3;`
    Specified by:
      `getCompilerOrBuilder` in interface `TraceRmi.RequestCreateTraceOrBuilder`

  - ### hasOid

    public boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 4;`
    Specified by:
      `hasOid` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 4;`
    Specified by:
      `getOid` in interface `TraceRmi.RequestCreateTraceOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.RequestCreateTrace.Builder setOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 4;`

  - ### setOid

    public TraceRmi.RequestCreateTrace.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `.ghidra.rmi.trace.DomObjId oid = 4;`

  - ### mergeOid

    public TraceRmi.RequestCreateTrace.Builder mergeOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 4;`

  - ### clearOid

    public TraceRmi.RequestCreateTrace.Builder clearOid()
    `.ghidra.rmi.trace.DomObjId oid = 4;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 4;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 4;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.RequestCreateTraceOrBuilder`